## orthanc 1.3.1+dfsg

=== Plugins/Samples/AutomatedJpeg2kCompression/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(Basic)

set(SAMPLES_ROOT ${CMAKE_SOURCE_DIR}/..)
include(${SAMPLES_ROOT}/Common/OrthancPlugins.cmake)

add_library(AutomatedJpeg2kCompression SHARED Plugin.cpp)

=== Plugins/Samples/CustomImageDecoder/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(CustomImageDecoder)

set(SAMPLES_ROOT ${CMAKE_SOURCE_DIR}/..)
include(${SAMPLES_ROOT}/Common/OrthancPlugins.cmake)

add_library(PluginTest SHARED Plugin.cpp)

=== Plugins/Samples/ModalityWorklists/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(ModalityWorklists)

SET(MODALITY_WORKLISTS_VERSION "0.0" CACHE STRING "Version of the plugin")
SET(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
SET(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")

SET(USE_SYSTEM_JSONCPP ON CACHE BOOL "Use the system version of JsonCpp")
SET(USE_SYSTEM_BOOST ON CACHE BOOL "Use the system version of boost")

set(SAMPLES_ROOT ${CMAKE_SOURCE_DIR}/..)
include(${SAMPLES_ROOT}/Common/OrthancPlugins.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/JsonCppConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/BoostConfiguration.cmake)

add_library(ModalityWorklists SHARED 
  Plugin.cpp
  ../Common/OrthancPluginCppWrapper.cpp
  ${JSONCPP_SOURCES}
  ${BOOST_SOURCES}
  )

message("Setting the version of the plugin to ${MODALITY_WORKLISTS_VERSION}")
add_definitions(
  -DMODALITY_WORKLISTS_VERSION="${MODALITY_WORKLISTS_VERSION}"
  )

set_target_properties(ModalityWorklists PROPERTIES 
  VERSION ${MODALITY_WORKLISTS_VERSION} 
  SOVERSION ${MODALITY_WORKLISTS_VERSION})

install(
  TARGETS ModalityWorklists
  RUNTIME DESTINATION lib    # Destination for Windows
  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
  )

=== Plugins/Samples/ServeFolders/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(ServeFolders)

SET(SERVE_FOLDERS_VERSION "0.0" CACHE STRING "Version of the plugin")
SET(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
SET(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")

SET(USE_SYSTEM_JSONCPP ON CACHE BOOL "Use the system version of JsonCpp")
SET(USE_SYSTEM_BOOST ON CACHE BOOL "Use the system version of boost")

set(SAMPLES_ROOT ${CMAKE_SOURCE_DIR}/..)
include(${CMAKE_SOURCE_DIR}/../Common/OrthancPlugins.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/JsonCppConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/BoostConfiguration.cmake)

add_library(ServeFolders SHARED 
  Plugin.cpp
  ${CMAKE_SOURCE_DIR}/../Common/OrthancPluginCppWrapper.cpp
  ${JSONCPP_SOURCES}
  ${BOOST_SOURCES}
  )

add_definitions(-DHAS_ORTHANC_EXCEPTION=0)

message("Setting the version of the plugin to ${SERVE_FOLDERS_VERSION}")
add_definitions(-DSERVE_FOLDERS_VERSION="${SERVE_FOLDERS_VERSION}")

set_target_properties(ServeFolders PROPERTIES 
  VERSION ${SERVE_FOLDERS_VERSION} 
  SOVERSION ${SERVE_FOLDERS_VERSION})

install(
  TARGETS ServeFolders
  RUNTIME DESTINATION lib    # Destination for Windows
  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
  )

=== debian/changelog ===
orthanc (1.3.1+dfsg-1build2) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:39:07 +0000

orthanc (1.3.1+dfsg-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 22:32:59 +0000

orthanc (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 30 Nov 2017 12:04:39 +0100

=== debian/control ===
Source: orthanc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               doxygen,
               libboost-all-dev,
               libcharls-dev,
               libcurl4-openssl-dev | libcurl4-dev,
               libdcmtk-dev,
               libgtest-dev,
               libjpeg-dev,
               libjs-jquery,
               libjsoncpp-dev,
               liblua5.1-0-dev,
               libpng-dev,
               libpugixml-dev,
               libsqlite3-dev,
               libwrap0-dev,
               locales,
               unzip,
               uuid-dev,
               zlib1g-dev,
               yui-compressor
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc.git
Homepage: http://www.orthanc-server.com/

Package: orthanc
Architecture: any
Depends: adduser,
         dcmtk,
         locales,
	 lsb-base,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Lightweight, RESTful DICOM server for medical imaging
 Orthanc aims at providing a simple, yet powerful DICOM server for
 medical imaging. Orthanc can turn any computer running Windows or
 Linux into a Vendor Neutral Archive (in other words, a mini-PACS
 system). Its architecture is lightweight, meaning that no complex
 database administration is required, nor the installation of
 third-party dependencies.
 .
 What makes Orthanc unique is the fact that it provides a RESTful
 API. Thanks to this major feature, it is possible to drive Orthanc
 from any computer language. The DICOM tags of the stored medical
 images can be downloaded in the JSON file format. Furthermore,
 standard PNG images can be generated on-the-fly from the DICOM
 instances by Orthanc.
 .
 Orthanc lets its users focus on the content of the DICOM files,
 hiding the complexity of the DICOM format and of the DICOM protocol.

Package: orthanc-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Breaks: liborthancclient-doc (<< 0.8.6)
Replaces: liborthancclient-doc (<< 0.8.6)
Description: Documentation of Orthanc
 Orthanc aims at providing a simple, yet powerful DICOM server for
 medical imaging. Orthanc can turn any computer running Windows or
 Linux into a Vendor Neutral Archive (in other words, a mini-PACS
 system). Its architecture is lightweight, meaning that no complex
 database administration is required, nor the installation of
 third-party dependencies.
 .
 This package includes the documentation and the sample codes
 available for Orthanc. It also includes the documentation
 to develop C/C++ plugins for Orthanc.

Package: orthanc-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
Breaks: liborthancclient-dev (<< 0.8.6)
Replaces: liborthancclient-dev (<< 0.8.6)
Description: Orthanc development files
 Orthanc aims at providing a simple, yet powerful DICOM server for
 medical imaging. Orthanc can turn any computer running Windows or
 Linux into a Vendor Neutral Archive (in other words, a mini-PACS
 system). Its architecture is lightweight, meaning that no complex
 database administration is required, nor the installation of
 third-party dependencies.
 .
 This package includes the header files to develop C/C++ plugins
 for Orthanc.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable

export DESTDIR := $(CURDIR)/debian/tmp
export DOC_DIR := $(DESTDIR)/usr/share/doc/orthanc
export PLUGINS_DIR := $(DESTDIR)/usr/share/orthanc/plugins

export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=Build


# Remarks about the flags to CMake below:
# -DCMAKE_BUILD_TYPE="" => The build type must be left empty, see #711515

CMAKE_EXTRA_FLAGS += \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DSTATIC_BUILD:BOOL=OFF \
	-DSTANDALONE_BUILD:BOOL=ON \
	-DUSE_SYSTEM_MONGOOSE:BOOL=OFF \
	-DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
	-DDCMTK_LIBRARIES:STRING=dcmjpls \
	-DUNIT_TESTS_WITH_HTTP_CONNEXIONS:BOOL=OFF \
	-DCMAKE_BUILD_TYPE=""

override_dh_auto_configure:
        # Put 3rd party packages where the cmake build system expects them
	mkdir -p ThirdPartyDownloads
	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/* . )

        # Place back minified JavaScript libraries that were stripped from upstream
	yui-compressor debian/JS/jquery-1.7.2.js \
	    > OrthancExplorer/libs/jquery.min.js
	yui-compressor debian/JS/jquery.mobile-1.1.0/jquery.mobile-1.1.0.js \
	    > OrthancExplorer/libs/jquery.mobile.min.js
	yui-compressor debian/JS/jquery.mobile-1.1.0/jquery.mobile-1.1.0.css \
	    > OrthancExplorer/libs/jquery.mobile.min.css
	cat debian/JS/DateJs/src/globalization/en-US.js \
	    debian/JS/DateJs/src/core-debug.js \
	    debian/JS/DateJs/src/sugarpak-debug.js \
	    debian/JS/DateJs/src/parser-debug.js \
	    | yui-compressor --type js \
	    > OrthancExplorer/libs/date.js
	cp debian/JS/jquery.mobile-1.1.0/images/* OrthancExplorer/libs/images

        # Launch the original Orthanc CMake script
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_build:
	dh_auto_build

        # Fix the lintian warning: "orthanc-doc: embedded-javascript-library
        # usr/share/doc/orthanc/OrthancPlugin/jquery.js please use libjs-jquery"
	rm Build/OrthancPluginDocumentation/doc/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.min.js Build/OrthancPluginDocumentation/doc/jquery.js

override_dh_auto_test:
        # Generate the en_US.UTF-8 locale before running tests
        # (required for case-insensitive comparison of strings with
        # accents). Full explanation:
        # https://www.mattfischer.com/blog/archives/105
	mkdir -p $(DESTDIR)/locale/
	localedef -f UTF-8 -i en_US $(DESTDIR)/locale/en_US.UTF-8/

	( cd Build; LOCPATH=$(DESTDIR)/locale/ ./UnitTests )

override_dh_clean:
	rm -rf ThirdPartyDownloads
	dh_clean

override_dh_auto_install-indep:
        # Move the index of the "orthanc-doc" package from Debian
	mkdir -p $(DOC_DIR)
	cp debian/docs/index.html $(DOC_DIR)

        # Populate the content of the "orthanc-doc" package
	cp -r Resources/Samples $(DOC_DIR)/Samples
	cp -r Plugins/Samples $(DOC_DIR)/OrthancPluginSamples

	dh_auto_install -i

override_dh_link-arch:
        # Create a link to the shared library of the plugins
	dh_link usr/lib/orthanc/libServeFolders.so.$(UPSTREAM_VERSION) \
	        usr/share/orthanc/plugins/libServeFolders.so
	dh_link usr/lib/orthanc/libModalityWorklists.so.$(UPSTREAM_VERSION) \
	        usr/share/orthanc/plugins/libModalityWorklists.so

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_compress:
        # Do not compress the samples
	dh_compress -XOrthancPluginSamples -XSamples

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## orthanc 1.4.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(Orthanc)


#####################################################################
## Generic parameters of the Orthanc framework
#####################################################################

include(${CMAKE_SOURCE_DIR}/Resources/CMake/OrthancFrameworkParameters.cmake)

# Enable all the optional components of the Orthanc framework
set(ENABLE_CRYPTO_OPTIONS ON)
set(ENABLE_DCMTK ON)
set(ENABLE_DCMTK_NETWORKING ON)
set(ENABLE_GOOGLE_TEST ON)
set(ENABLE_JPEG ON)
set(ENABLE_LOCALE ON)
set(ENABLE_LUA ON)
set(ENABLE_PNG ON)
set(ENABLE_PUGIXML ON)
set(ENABLE_SQLITE ON)
set(ENABLE_WEB_CLIENT ON)
set(ENABLE_WEB_SERVER ON)
set(ENABLE_ZLIB ON)

set(HAS_EMBEDDED_RESOURCES ON)


#####################################################################
## CMake parameters tunable at the command line to configure the
## plugins, the companion tools, and the unit tests
#####################################################################

# Parameters of the build
SET(BUILD_MODALITY_WORKLISTS ON CACHE BOOL "Whether to build the sample plugin to serve modality worklists")
SET(BUILD_RECOVER_COMPRESSED_FILE ON CACHE BOOL "Whether to build the companion tool to recover files compressed using Orthanc")
SET(BUILD_SERVE_FOLDERS ON CACHE BOOL "Whether to build the ServeFolders plugin")
SET(ENABLE_PLUGINS ON CACHE BOOL "Enable plugins")
SET(UNIT_TESTS_WITH_HTTP_CONNEXIONS ON CACHE BOOL "Allow unit tests to make HTTP requests")


#####################################################################
## Configuration of the Orthanc framework
#####################################################################

include(${CMAKE_SOURCE_DIR}/Resources/CMake/VisualStudioPrecompiledHeaders.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/OrthancFrameworkConfiguration.cmake)


#####################################################################
## List of source files
#####################################################################

set(ORTHANC_SERVER_SOURCES
  OrthancServer/DatabaseWrapper.cpp
  OrthancServer/DicomInstanceOrigin.cpp
  OrthancServer/DicomInstanceToStore.cpp
  OrthancServer/ExportedResource.cpp
  OrthancServer/LuaScripting.cpp
  OrthancServer/OrthancFindRequestHandler.cpp
  OrthancServer/OrthancHttpHandler.cpp
  OrthancServer/OrthancInitialization.cpp
  OrthancServer/OrthancMoveRequestHandler.cpp
  OrthancServer/OrthancRestApi/OrthancRestAnonymizeModify.cpp
  OrthancServer/OrthancRestApi/OrthancRestApi.cpp
  OrthancServer/OrthancRestApi/OrthancRestArchive.cpp
  OrthancServer/OrthancRestApi/OrthancRestChanges.cpp
  OrthancServer/OrthancRestApi/OrthancRestModalities.cpp
  OrthancServer/OrthancRestApi/OrthancRestResources.cpp
  OrthancServer/OrthancRestApi/OrthancRestSystem.cpp
  OrthancServer/QueryRetrieveHandler.cpp
  OrthancServer/Search/HierarchicalMatcher.cpp
  OrthancServer/Search/IFindConstraint.cpp
  OrthancServer/Search/ListConstraint.cpp
  OrthancServer/Search/LookupIdentifierQuery.cpp
  OrthancServer/Search/LookupResource.cpp
  OrthancServer/Search/RangeConstraint.cpp
  OrthancServer/Search/SetOfResources.cpp
  OrthancServer/Search/ValueConstraint.cpp
  OrthancServer/Search/WildcardConstraint.cpp
  OrthancServer/ServerContext.cpp
  OrthancServer/ServerEnumerations.cpp
  OrthancServer/ServerIndex.cpp
  OrthancServer/ServerJobs/ArchiveJob.cpp
  OrthancServer/ServerJobs/DicomModalityStoreJob.cpp
  OrthancServer/ServerJobs/LuaJobManager.cpp
  OrthancServer/ServerJobs/Operations/DeleteResourceOperation.cpp
  OrthancServer/ServerJobs/Operations/ModifyInstanceOperation.cpp
  OrthancServer/ServerJobs/Operations/StorePeerOperation.cpp
  OrthancServer/ServerJobs/Operations/StoreScuOperation.cpp
  OrthancServer/ServerJobs/Operations/SystemCallOperation.cpp
  OrthancServer/ServerJobs/OrthancJobUnserializer.cpp
  OrthancServer/ServerJobs/OrthancPeerStoreJob.cpp
  OrthancServer/ServerJobs/ResourceModificationJob.cpp
  OrthancServer/ServerToolbox.cpp
  OrthancServer/SliceOrdering.cpp
  )


set(ORTHANC_UNIT_TESTS_SOURCES
  UnitTestsSources/DicomMapTests.cpp
  UnitTestsSources/FileStorageTests.cpp
  UnitTestsSources/FromDcmtkTests.cpp
  UnitTestsSources/MemoryCacheTests.cpp
  UnitTestsSources/ImageTests.cpp
  UnitTestsSources/RestApiTests.cpp
  UnitTestsSources/SQLiteTests.cpp
  UnitTestsSources/SQLiteChromiumTests.cpp
  UnitTestsSources/ServerIndexTests.cpp
  UnitTestsSources/VersionsTests.cpp
  UnitTestsSources/ZipTests.cpp
  UnitTestsSources/LuaTests.cpp
  UnitTestsSources/MultiThreadingTests.cpp
  UnitTestsSources/UnitTestsMain.cpp
  UnitTestsSources/ImageProcessingTests.cpp
  UnitTestsSources/JpegLosslessTests.cpp
  UnitTestsSources/StreamTests.cpp
  )


if (ENABLE_PLUGINS)
  list(APPEND ORTHANC_SERVER_SOURCES
    Plugins/Engine/OrthancPluginDatabase.cpp
    Plugins/Engine/OrthancPlugins.cpp
    Plugins/Engine/PluginsEnumerations.cpp
    Plugins/Engine/PluginsErrorDictionary.cpp
    Plugins/Engine/PluginsManager.cpp
    )

  list(APPEND ORTHANC_UNIT_TESTS_SOURCES
    UnitTestsSources/PluginsTests.cpp
    )
endif()


if (CMAKE_COMPILER_IS_GNUCXX
    AND NOT CMAKE_CROSSCOMPILING 
    AND USE_DCMTK_360)
  # Add the "-pedantic" flag only on the Orthanc sources, and only if
  # cross-compiling DCMTK 3.6.0
  set(ORTHANC_ALL_SOURCES
    ${ORTHANC_CORE_SOURCES_INTERNAL}
    ${ORTHANC_DICOM_SOURCES_INTERNAL}
    ${ORTHANC_SERVER_SOURCES}
    ${ORTHANC_UNIT_TESTS_SOURCES}
    Plugins/Samples/ServeFolders/Plugin.cpp
    Plugins/Samples/ModalityWorklists/Plugin.cpp
    OrthancServer/main.cpp
    )

  set_source_files_properties(${ORTHANC_ALL_SOURCES}
    PROPERTIES COMPILE_FLAGS -pedantic
    )
endif()


#####################################################################
## Autogeneration of files
#####################################################################

set(ORTHANC_EMBEDDED_FILES
  PREPARE_DATABASE            ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/PrepareDatabase.sql
  UPGRADE_DATABASE_3_TO_4     ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/Upgrade3To4.sql
  UPGRADE_DATABASE_4_TO_5     ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/Upgrade4To5.sql
  CONFIGURATION_SAMPLE        ${CMAKE_CURRENT_SOURCE_DIR}/Resources/Configuration.json
  DICOM_CONFORMANCE_STATEMENT ${CMAKE_CURRENT_SOURCE_DIR}/Resources/DicomConformanceStatement.txt
  LUA_TOOLBOX                 ${CMAKE_CURRENT_SOURCE_DIR}/Resources/Toolbox.lua
  FONT_UBUNTU_MONO_BOLD_16    ${CMAKE_CURRENT_SOURCE_DIR}/Resources/Fonts/UbuntuMonoBold-16.json
  )

if (STANDALONE_BUILD)
  # We embed all the resources in the binaries for standalone builds
  add_definitions(-DORTHANC_STANDALONE=1)
  EmbedResources(
    ${ORTHANC_EMBEDDED_FILES}
    ORTHANC_EXPLORER ${CMAKE_CURRENT_SOURCE_DIR}/OrthancExplorer
    ${DCMTK_DICTIONARIES}
    )
else()
  add_definitions(
    -DORTHANC_STANDALONE=0
    -DORTHANC_PATH=\"${CMAKE_SOURCE_DIR}\"
    )
  EmbedResources(
    ${ORTHANC_EMBEDDED_FILES}
    )
endif()

if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
  execute_process(
    COMMAND 
    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
    ${ORTHANC_VERSION} Orthanc Orthanc.exe "Lightweight, RESTful DICOM server for medical imaging"
    ERROR_VARIABLE Failure
    OUTPUT_FILE ${AUTOGENERATED_DIR}/Orthanc.rc
    )

  if (Failure)
    message(FATAL_ERROR "Error while computing the version information: ${Failure}")
  endif()

  list(APPEND ORTHANC_RESOURCES ${AUTOGENERATED_DIR}/Orthanc.rc)
endif()



#####################################################################
## Configuration of the C/C++ macros
#####################################################################

if (ENABLE_PLUGINS)
  add_definitions(-DORTHANC_ENABLE_PLUGINS=1)
else()
  add_definitions(-DORTHANC_ENABLE_PLUGINS=0)
endif()


if (UNIT_TESTS_WITH_HTTP_CONNEXIONS)
  add_definitions(-DUNIT_TESTS_WITH_HTTP_CONNEXIONS=1)
else()
  add_definitions(-DUNIT_TESTS_WITH_HTTP_CONNEXIONS=0)
endif()


include_directories(${CMAKE_SOURCE_DIR}/Plugins/Include)

add_definitions(
  -DORTHANC_BUILD_UNIT_TESTS=1
  -DORTHANC_ENABLE_LOGGING_PLUGIN=0
  
  # Macros for the plugins
  -DHAS_ORTHANC_EXCEPTION=0
  -DMODALITY_WORKLISTS_VERSION="${ORTHANC_VERSION}"
  -DSERVE_FOLDERS_VERSION="${ORTHANC_VERSION}"
  )


# Setup precompiled headers for Microsoft Visual Studio

# WARNING: There must be NO MORE "add_definitions()", "include()" or
# "include_directories()" below, otherwise the generated precompiled
# headers might get broken!

if (MSVC)
  add_definitions(-DORTHANC_USE_PRECOMPILED_HEADERS=1)

  set(TMP
    ${ORTHANC_CORE_SOURCES_INTERNAL}
    ${ORTHANC_DICOM_SOURCES_INTERNAL}
    )
  
  ADD_VISUAL_STUDIO_PRECOMPILED_HEADERS(
    "PrecompiledHeaders.h" "Core/PrecompiledHeaders.cpp"
    TMP ORTHANC_CORE_PCH)

  ADD_VISUAL_STUDIO_PRECOMPILED_HEADERS(
    "PrecompiledHeadersServer.h" "OrthancServer/PrecompiledHeadersServer.cpp"
    ORTHANC_SERVER_SOURCES ORTHANC_SERVER_PCH)

  ADD_VISUAL_STUDIO_PRECOMPILED_HEADERS(
    "PrecompiledHeadersUnitTests.h" "UnitTestsSources/PrecompiledHeadersUnitTests.cpp"
    ORTHANC_UNIT_TESTS_SOURCES ORTHANC_UNIT_TESTS_PCH)
endif()



#####################################################################
## Build the core of Orthanc
#####################################################################

# "CoreLibrary" contains all the third-party dependencies and the
# content of the "Core" folder
add_library(CoreLibrary
  STATIC
  ${ORTHANC_CORE_PCH}
  ${ORTHANC_CORE_SOURCES}
  ${ORTHANC_DICOM_SOURCES}
  ${AUTOGENERATED_SOURCES}
  )  


#####################################################################
## Build the Orthanc server
#####################################################################

add_library(ServerLibrary
  STATIC
  ${ORTHANC_SERVER_PCH}
  ${ORTHANC_SERVER_SOURCES}
  )

# Ensure autogenerated code is built before building ServerLibrary
add_dependencies(ServerLibrary CoreLibrary)

add_executable(Orthanc
  OrthancServer/main.cpp
  ${ORTHANC_RESOURCES}
  )

target_link_libraries(Orthanc ServerLibrary CoreLibrary ${DCMTK_LIBRARIES})

install(
  TARGETS Orthanc
  RUNTIME DESTINATION sbin
  )


#####################################################################
## Build the unit tests
#####################################################################

add_executable(UnitTests
  ${GOOGLE_TEST_SOURCES}
  ${ORTHANC_UNIT_TESTS_PCH}
  ${ORTHANC_UNIT_TESTS_SOURCES}
  )

target_link_libraries(UnitTests
  ServerLibrary
  CoreLibrary
  ${DCMTK_LIBRARIES}
  ${GOOGLE_TEST_LIBRARIES}
  )


#####################################################################
## Build the "ServeFolders" plugin
#####################################################################

if (ENABLE_PLUGINS AND BUILD_SERVE_FOLDERS)
  if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
    execute_process(
      COMMAND 
      ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
      ${ORTHANC_VERSION} ServeFolders ServeFolders.dll "Orthanc plugin to serve additional folders"
      ERROR_VARIABLE Failure
      OUTPUT_FILE ${AUTOGENERATED_DIR}/ServeFolders.rc
      )

    if (Failure)
      message(FATAL_ERROR "Error while computing the version information: ${Failure}")
    endif()

    list(APPEND SERVE_FOLDERS_RESOURCES ${AUTOGENERATED_DIR}/ServeFolders.rc)
  endif()  

  add_library(ServeFolders SHARED 
    ${BOOST_SOURCES}
    ${JSONCPP_SOURCES}
    ${LIBICONV_SOURCES}
    Plugins/Samples/ServeFolders/Plugin.cpp
    Plugins/Samples/Common/OrthancPluginCppWrapper.cpp
    ${SERVE_FOLDERS_RESOURCES}
    )

  set_target_properties(
    ServeFolders PROPERTIES 
    VERSION ${ORTHANC_VERSION} 
    SOVERSION ${ORTHANC_VERSION}
    )

  install(
    TARGETS ServeFolders
    RUNTIME DESTINATION lib    # Destination for Windows
    LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
    )
endif()



#####################################################################
## Build the "ModalityWorklists" plugin
#####################################################################

=== debian/changelog ===
orthanc (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 17 Jul 2018 16:52:47 +0200

orthanc (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Updated d/upstream/metadata with new reference paper about Orthanc

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 13 Jul 2018 17:44:11 +0200

orthanc (1.3.2+dfsg-2) unstable; urgency=medium

  * Fix copyright
  * Set -DNDEBUG to disable assertion checking
  * Set -DCMAKE_BUILD_TYPE=None

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 Apr 2018 13:24:36 +0200

orthanc (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 18 Apr 2018 16:09:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: orthanc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -26,9 +25,9 @@
                uuid-dev,
                zlib1g-dev,
                yui-compressor
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/med-team/orthanc
+Vcs-Git: https://salsa.debian.org/med-team/orthanc.git
 Homepage: http://www.orthanc-server.com/
 
 Package: orthanc

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,13 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# Disable assert() checking from upstream project, for best performance
+# https://lists.debian.org/debian-med/2018/04/msg00132.html
+export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
+export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+
 %:
 	dh $@ --builddirectory=Build
-
-
-# Remarks about the flags to CMake below:
-# -DCMAKE_BUILD_TYPE="" => The build type must be left empty, see #711515
 
 CMAKE_EXTRA_FLAGS += \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
@@ -25,7 +26,7 @@
 	-DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
 	-DDCMTK_LIBRARIES:STRING=dcmjpls \
 	-DUNIT_TESTS_WITH_HTTP_CONNEXIONS:BOOL=OFF \
-	-DCMAKE_BUILD_TYPE=""
+	-DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515
 
 override_dh_auto_configure:
         # Put 3rd party packages where the cmake build system expects them
@@ -59,6 +60,7 @@
 	ln -s /usr/share/javascript/jquery/jquery.min.js Build/OrthancPluginDocumentation/doc/jquery.js
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
         # Generate the en_US.UTF-8 locale before running tests
         # (required for case-insensitive comparison of strings with
         # accents). Full explanation:
@@ -67,6 +69,7 @@
 	localedef -f UTF-8 -i en_US $(DESTDIR)/locale/en_US.UTF-8/
 
 	( cd Build; LOCPATH=$(DESTDIR)/locale/ ./UnitTests )
+endif
 
 override_dh_clean:
 	rm -rf ThirdPartyDownloads
@@ -96,6 +99,3 @@
 override_dh_compress:
         # Do not compress the samples
 	dh_compress -XOrthancPluginSamples -XSamples
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz

## orthanc 1.5.4+dfsg

=== debian/changelog ===
orthanc (1.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 09 Feb 2019 10:42:35 +0100

orthanc (1.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 26 Jan 2019 07:59:21 +0100

orthanc (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 18 Jan 2019 19:56:06 +0100

orthanc (1.5.1+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with DCMTK 3.6.4. Closes: #919193

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 14 Jan 2019 10:13:39 +0100

orthanc (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 20 Dec 2018 14:08:18 +0100

orthanc (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 10 Dec 2018 20:48:44 +0100

orthanc (1.4.2+dfsg-2) unstable; urgency=medium

  * Fix URL in README.Debian. Closes: #913722

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 14 Nov 2018 17:26:45 +0100

orthanc (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 20 Sep 2018 17:12:38 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                uuid-dev,
                zlib1g-dev,
                yui-compressor
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc
 Vcs-Git: https://salsa.debian.org/med-team/orthanc.git
 Homepage: http://www.orthanc-server.com/

## orthanc 1.5.6%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                uuid-dev,
                zlib1g-dev,
                yui-compressor
-Standards-Version: 4.3.0
+Standards-Version: 4.3.0.3
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc
 Vcs-Git: https://salsa.debian.org/med-team/orthanc.git
 Homepage: http://www.orthanc-server.com/

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DSTANDALONE_BUILD:BOOL=ON \
+	-DENABLE_CIVETWEB:BOOL=OFF \
 	-DUSE_SYSTEM_MONGOOSE:BOOL=OFF \
 	-DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
 	-DDCMTK_LIBRARIES:STRING=dcmjpls \

## orthanc 1.5.6+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 set(ENABLE_JPEG ON)
 set(ENABLE_LOCALE ON)
 set(ENABLE_LUA ON)
+set(ENABLE_OPENSSL_ENGINES ON)
 set(ENABLE_PNG ON)
 set(ENABLE_PUGIXML ON)
 set(ENABLE_SQLITE ON)
@@ -53,11 +54,19 @@
 #####################################################################
 
 set(ORTHANC_SERVER_SOURCES
-  OrthancServer/DatabaseWrapper.cpp
+  OrthancServer/Database/Compatibility/DatabaseLookup.cpp
+  OrthancServer/Database/Compatibility/ICreateInstance.cpp
+  OrthancServer/Database/Compatibility/IGetChildrenMetadata.cpp
+  OrthancServer/Database/Compatibility/ILookupResourceAndParent.cpp
+  OrthancServer/Database/Compatibility/ILookupResources.cpp
+  OrthancServer/Database/Compatibility/SetOfResources.cpp
+  OrthancServer/Database/ResourcesContent.cpp
+  OrthancServer/Database/SQLiteDatabaseWrapper.cpp
   OrthancServer/DicomInstanceOrigin.cpp
   OrthancServer/DicomInstanceToStore.cpp
   OrthancServer/ExportedResource.cpp
   OrthancServer/LuaScripting.cpp
+  OrthancServer/OrthancConfiguration.cpp
   OrthancServer/OrthancFindRequestHandler.cpp
   OrthancServer/OrthancHttpHandler.cpp
   OrthancServer/OrthancInitialization.cpp
@@ -70,22 +79,21 @@
   OrthancServer/OrthancRestApi/OrthancRestResources.cpp
   OrthancServer/OrthancRestApi/OrthancRestSystem.cpp
   OrthancServer/QueryRetrieveHandler.cpp
+  OrthancServer/Search/DatabaseConstraint.cpp
+  OrthancServer/Search/DatabaseLookup.cpp
+  OrthancServer/Search/DicomTagConstraint.cpp
   OrthancServer/Search/HierarchicalMatcher.cpp
-  OrthancServer/Search/IFindConstraint.cpp
-  OrthancServer/Search/ListConstraint.cpp
-  OrthancServer/Search/LookupIdentifierQuery.cpp
-  OrthancServer/Search/LookupResource.cpp
-  OrthancServer/Search/RangeConstraint.cpp
-  OrthancServer/Search/SetOfResources.cpp
-  OrthancServer/Search/ValueConstraint.cpp
-  OrthancServer/Search/WildcardConstraint.cpp
+  OrthancServer/Search/ISqlLookupFormatter.cpp
   OrthancServer/ServerContext.cpp
   OrthancServer/ServerEnumerations.cpp
   OrthancServer/ServerIndex.cpp
   OrthancServer/ServerJobs/ArchiveJob.cpp
   OrthancServer/ServerJobs/DicomModalityStoreJob.cpp
+  OrthancServer/ServerJobs/DicomMoveScuJob.cpp
   OrthancServer/ServerJobs/LuaJobManager.cpp
+  OrthancServer/ServerJobs/MergeStudyJob.cpp
   OrthancServer/ServerJobs/Operations/DeleteResourceOperation.cpp
+  OrthancServer/ServerJobs/Operations/DicomInstanceOperationValue.cpp
   OrthancServer/ServerJobs/Operations/ModifyInstanceOperation.cpp
   OrthancServer/ServerJobs/Operations/StorePeerOperation.cpp
   OrthancServer/ServerJobs/Operations/StoreScuOperation.cpp
@@ -93,38 +101,43 @@
   OrthancServer/ServerJobs/OrthancJobUnserializer.cpp
   OrthancServer/ServerJobs/OrthancPeerStoreJob.cpp
   OrthancServer/ServerJobs/ResourceModificationJob.cpp
+  OrthancServer/ServerJobs/SplitStudyJob.cpp
   OrthancServer/ServerToolbox.cpp
   OrthancServer/SliceOrdering.cpp
   )
 
 
 set(ORTHANC_UNIT_TESTS_SOURCES
+  UnitTestsSources/DatabaseLookupTests.cpp
   UnitTestsSources/DicomMapTests.cpp
   UnitTestsSources/FileStorageTests.cpp
   UnitTestsSources/FromDcmtkTests.cpp
+  UnitTestsSources/ImageProcessingTests.cpp
+  UnitTestsSources/ImageTests.cpp
+  UnitTestsSources/JpegLosslessTests.cpp
+  UnitTestsSources/LuaTests.cpp
   UnitTestsSources/MemoryCacheTests.cpp
-  UnitTestsSources/ImageTests.cpp
+  UnitTestsSources/MultiThreadingTests.cpp
   UnitTestsSources/RestApiTests.cpp
+  UnitTestsSources/SQLiteChromiumTests.cpp
   UnitTestsSources/SQLiteTests.cpp
-  UnitTestsSources/SQLiteChromiumTests.cpp
   UnitTestsSources/ServerIndexTests.cpp
+  UnitTestsSources/StreamTests.cpp
+  UnitTestsSources/UnitTestsMain.cpp
   UnitTestsSources/VersionsTests.cpp
   UnitTestsSources/ZipTests.cpp
-  UnitTestsSources/LuaTests.cpp
-  UnitTestsSources/MultiThreadingTests.cpp
-  UnitTestsSources/UnitTestsMain.cpp
-  UnitTestsSources/ImageProcessingTests.cpp
-  UnitTestsSources/JpegLosslessTests.cpp
-  UnitTestsSources/StreamTests.cpp
   )
 
 
 if (ENABLE_PLUGINS)
+  include_directories(${CMAKE_SOURCE_DIR}/Plugins/Include)
+
   list(APPEND ORTHANC_SERVER_SOURCES
     Plugins/Engine/OrthancPluginDatabase.cpp
     Plugins/Engine/OrthancPlugins.cpp
     Plugins/Engine/PluginsEnumerations.cpp
     Plugins/Engine/PluginsErrorDictionary.cpp
+    Plugins/Engine/PluginsJob.cpp
     Plugins/Engine/PluginsManager.cpp
     )
 
@@ -136,7 +149,7 @@
 
 if (CMAKE_COMPILER_IS_GNUCXX
     AND NOT CMAKE_CROSSCOMPILING 
-    AND USE_DCMTK_360)
+    AND DCMTK_STATIC_VERSION STREQUAL "3.6.0")
   # Add the "-pedantic" flag only on the Orthanc sources, and only if
   # cross-compiling DCMTK 3.6.0
   set(ORTHANC_ALL_SOURCES
@@ -160,13 +173,16 @@
 #####################################################################
 
 set(ORTHANC_EMBEDDED_FILES
-  PREPARE_DATABASE            ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/PrepareDatabase.sql
-  UPGRADE_DATABASE_3_TO_4     ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/Upgrade3To4.sql
-  UPGRADE_DATABASE_4_TO_5     ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/Upgrade4To5.sql
-  CONFIGURATION_SAMPLE        ${CMAKE_CURRENT_SOURCE_DIR}/Resources/Configuration.json
-  DICOM_CONFORMANCE_STATEMENT ${CMAKE_CURRENT_SOURCE_DIR}/Resources/DicomConformanceStatement.txt
-  LUA_TOOLBOX                 ${CMAKE_CURRENT_SOURCE_DIR}/Resources/Toolbox.lua
-  FONT_UBUNTU_MONO_BOLD_16    ${CMAKE_CURRENT_SOURCE_DIR}/Resources/Fonts/UbuntuMonoBold-16.json
+  CONFIGURATION_SAMPLE         ${CMAKE_CURRENT_SOURCE_DIR}/Resources/Configuration.json
+  DICOM_CONFORMANCE_STATEMENT  ${CMAKE_CURRENT_SOURCE_DIR}/Resources/DicomConformanceStatement.txt
+  FONT_UBUNTU_MONO_BOLD_16     ${CMAKE_CURRENT_SOURCE_DIR}/Resources/Fonts/UbuntuMonoBold-16.json
+  LUA_TOOLBOX                  ${CMAKE_CURRENT_SOURCE_DIR}/Resources/Toolbox.lua
+  PREPARE_DATABASE             ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/Database/PrepareDatabase.sql
+  UPGRADE_DATABASE_3_TO_4      ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/Database/Upgrade3To4.sql
+  UPGRADE_DATABASE_4_TO_5      ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/Database/Upgrade4To5.sql
+
+  INSTALL_TRACK_ATTACHMENTS_SIZE
+  ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/Database/InstallTrackAttachmentsSize.sql
   )
 
 if (STANDALONE_BUILD)
@@ -222,8 +238,6 @@
   add_definitions(-DUNIT_TESTS_WITH_HTTP_CONNEXIONS=0)
 endif()
 
-
-include_directories(${CMAKE_SOURCE_DIR}/Plugins/Include)
 
 add_definitions(
   -DORTHANC_BUILD_UNIT_TESTS=1
@@ -277,7 +291,11 @@
   ${ORTHANC_CORE_SOURCES}
   ${ORTHANC_DICOM_SOURCES}
   ${AUTOGENERATED_SOURCES}
-  )  
+  )
+
+if (LIBICU_LIBRARIES)
+  target_link_libraries(CoreLibrary ${LIBICU_LIBRARIES})
+endif()
 
 
 #####################################################################
@@ -325,51 +343,21 @@
 
 
 #####################################################################
-## Build the "ServeFolders" plugin
-#####################################################################
-
-if (ENABLE_PLUGINS AND BUILD_SERVE_FOLDERS)
-  if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
-    execute_process(
-      COMMAND 
-      ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
-      ${ORTHANC_VERSION} ServeFolders ServeFolders.dll "Orthanc plugin to serve additional folders"
-      ERROR_VARIABLE Failure
-      OUTPUT_FILE ${AUTOGENERATED_DIR}/ServeFolders.rc
-      )
-
-    if (Failure)
-      message(FATAL_ERROR "Error while computing the version information: ${Failure}")
-    endif()
-
-    list(APPEND SERVE_FOLDERS_RESOURCES ${AUTOGENERATED_DIR}/ServeFolders.rc)
-  endif()  
-
-  add_library(ServeFolders SHARED 
+## Build a static library to share code between the plugins
+#####################################################################
+
+if (ENABLE_PLUGINS AND
+    (BUILD_SERVE_FOLDERS OR BUILD_MODALITY_WORKLISTS))
+  add_library(ThirdPartyPlugins STATIC
     ${BOOST_SOURCES}
     ${JSONCPP_SOURCES}
     ${LIBICONV_SOURCES}
-    Plugins/Samples/ServeFolders/Plugin.cpp
+    ${LIBICU_SOURCES}
     Plugins/Samples/Common/OrthancPluginCppWrapper.cpp
-    ${SERVE_FOLDERS_RESOURCES}
-    )
-
-  set_target_properties(
-    ServeFolders PROPERTIES 
-    VERSION ${ORTHANC_VERSION} 
-    SOVERSION ${ORTHANC_VERSION}
-    )
-
-  install(
-    TARGETS ServeFolders
-    RUNTIME DESTINATION lib    # Destination for Windows
-    LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
-    )
-endif()
-
-
-
-#####################################################################
-## Build the "ModalityWorklists" plugin
-#####################################################################
-
+    )
+
+  if (LIBICU_LIBRARIES)
+    target_link_libraries(ThirdPartyPlugins ${LIBICU_LIBRARIES})
+  endif()
+
+  # Add the "-fPIC" option as this static library must be embedded

=== Resources/Samples/OrthancFramework/MicroService/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(Sample)

include(${CMAKE_SOURCE_DIR}/../../../CMake/OrthancFrameworkParameters.cmake)

set(ENABLE_WEB_SERVER ON)

include(${CMAKE_SOURCE_DIR}/../../../CMake/OrthancFrameworkConfiguration.cmake)

add_executable(Sample
  ${ORTHANC_CORE_SOURCES}
  Sample.cpp
  )

include_directories(${ORTHANC_ROOT}/Core)

=== debian/changelog ===
orthanc (1.5.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 02 Mar 2019 09:15:35 +0100

orthanc (1.5.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 25 Feb 2019 13:36:58 +0100

## orthanc 1.5.7+dfsg

=== debian/changelog ===
orthanc (1.5.7+dfsg-2) unstable; urgency=medium

  * Missing "Should-Start" dependency on MySQL for orthanc-mysql package

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 07 Sep 2019 11:29:48 +0200

orthanc (1.5.7+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 31 Jul 2019 13:38:24 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                uuid-dev,
                zlib1g-dev,
                yui-compressor
-Standards-Version: 4.3.0.3
+Standards-Version: 4.4.0.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc
 Vcs-Git: https://salsa.debian.org/med-team/orthanc.git
 Homepage: http://www.orthanc-server.com/
